# Live Price Grids ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/customers/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/customers/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/price-lists/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/manual-price-lists/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). ## Submit Products - [POST /pricegridmanager.accept/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.accept.md): Submits the PriceGridItems to the workflow. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_SUBMIT | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) ## List Live Price Grids - [POST /fetch/PG](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-fetch-pg.md): Retrieves all Price Grids based on filter settings. --- Filter example: Returns only Price Grids where status = CANCELLED. json { "data":{ "_constructor":"AdvancedCriteria", "operator":"and", "criteria":[ { "fieldName":"status", "operator":"equals", "value":"CANCELLED" } ] } } --- ## Get a Live Price Grid - [POST /fetch/PG/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-fetch-pg-id.md): Retrieves details of the specified Live Price Grid. ## List Live Price Grid Items - [POST /pricegridmanager.fetch/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.fetch-id.md): Retrieves Live Price Grid Items. A filter can be applied. Filter example: Returns the item where id = 644. > #### Please note: > Filtering by typedId is not accepted by this enpoint. json { "endRow":300, "oldValues":null, "operationType":"fetch", "startRow":0, "textMatchStyle":"exact", "data":{ "_constructor":"AdvancedCriteria", "operator":"and", "criteria":[ { "fieldName":"id", "operator":"equals", "value":644 } ] } } Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_FETCH | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Manage Workflow Logics (WF_BUILDER) ## Copy a Price Grid - [POST /pricegridmanager.copy/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.copy-id.md): Creates a copy of the specified Live Price Grid (including metadata and Price Grid Items). --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_ADD | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Administer LPG (PB_PRICEGRIDS) ## Mass Edit Price Grid Items - [POST /pricegridmanager.massedit/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.massedit-id.md): Updates fields of specified Live Price Grid Items.Specify the items in the request body by the id field. > Information: > The id is the typedId without the PGI suffix. For example, the id attribute of the item with typedId = 649.PGI is 649. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_UPDATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) ## Update a Live Price Grid Item - [POST /pricegridmanager.update/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.update-id.md): Updates a Price Grid Item. >To update items without a recalculation, use the /pricegridmanager.update/{id}/norecalc endpoint. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_UPDATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) ## Update a Live Price Grid Item (No Recalculation) - [POST /pricegridmanager.update/{id}/norecalc](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.update-id-norecalc.md): Updates a Price Grid Item without recalculation. Use this endpoint to skip recalculation of comments and manualResultPrice (Manual Override). --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_UPDATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) ## Delete a Price Grid Item - [POST /pricegridmanager.delete/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.delete-id.md): Deletes a Live Price Grid Item object from the specified Live Price Grid. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_REMOVE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Administer LPG (PB_PRICEGRIDS) ## Deny a Live Price Grid Item - [POST /pricegridmanager.reject/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.reject-id.md): Sets the approvalState field to Denied. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_SUBMIT | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) ## Delete a Price Grid Item (Filter) - [POST /pricegridmanager.delete/{id}/batch](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.delete-id-batch.md): Deletes a Live Price Grid Item based on filter settings. --- Filter example: Deletes only Price Grid Items where comments = "del". json { "data": { "filterCriteria": { "operator": "and", "criteria": [ { "fieldName": "comments", "operator": "iEquals", "value": "del" } ] } } } --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_REMOVE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Administer LPG (PB_PRICEGRIDS) ## Add Price Grid Items to a Price Grid - [POST /pricegridmanager.add/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.add-id.md): Adds products to the Live Price Grid. > Information: > Only products that are not already in the Price Grid will be added. You can specify products by skus (see the example 1 below) or by filter settings (see example 2). --- Example 1: Adds only products with specified SKUs. json { "data":{ "skus":[ "p0001", "p0002" ] } } Example 2: Adds only products where formulaName = "CompetitionPricing". json { "data":{ "filterCriteria":{ "operator":"and", "criteria":[ { "fieldName":"formulaName", "operator":"iEquals", "value":"CompetitionPricing" } ] } } } --- >To add items without a recalculation, use the /pricegridmanager.add/{id}/norecalc endpoint. Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_ADD | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Administer LPG (PB_PRICEGRIDS) ## Calculate a Price Grid - [POST /pricegridmanager.calculate/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.calculate-id.md): Starts a calculation of the entire Live Price Grid. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_CALCULATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) ## Cancel a Calculation - [POST /pricegridmanager.cancel/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.cancel-id.md): Cancels a Price Grid calculation background job. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_CALCULATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) ## Perform a Mass Action - [POST /pricegridmanager.massaction/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.massaction-id.md): Performs a mass workflow action on specified Price Grid Items based on filter settings. --- Example: Approves only products where activePrice = 250. json { "data":{ "_constructor":"AdvancedCriteria", "operator":"and", "criteria":[ { "fieldName":"activePrice", "operator":"equals", "value":250 } ], "workflowAction":"APPROVED", "comment":"Approved." } } --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_UPDATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) ## Count Mass Action Items - [POST /pricegridmanager.massactioncount/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.massactioncount-id.md): Returns a number of Price Grid Items that would be affected by the mass action operation. totalRows value = number of affected items. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_UPDATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) ## Convert to Price List - [POST /pricegridmanager.convert2pl/{id}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.convert2pl-id.md): Converts a Live Price Grid (including items) to a Price List. Returns the pricelistId. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_ADD | Manage Price Lists (PB_PRICELISTSEDITOR), Administer Price Lists (PB_PRICELISTS) ## Delete a Live Price Grid - [POST /pricegridmanager.delete](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-pricegridmanager.delete.md): Deletes the Price Grid specified by typedId. --- Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_REMOVE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Administer LPG (PB_PRICEGRIDS) ## Assign Customers - [POST /customermanager.assign](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-customermanager.assign.md): Assigns multiple customers to the specified entity (e.g., Price List, Live Price Grid, etc.). ## List Customer Assignments - [POST /customermanager.fetchassignments/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-customermanager.fetchassignments-typedid.md): Retrieves a list of customers assigned to the specified entity. A filter can be applied (see the request sample). ## List Live Price Grid Types - [POST /fetch/PGTT](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-fetch-pgtt.md): Retrieves a list of Live Price Grid Types. ## Delete a Live Price Grid Type - [POST /delete/PGTT](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-delete-pgtt.md): Deletes the specified Live Price Grid Type. ## Add a Live Price Grid Type - [POST /add/PGTT](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-add-pgtt.md): Creates a Live Price Grid Type. ## Update a Live Price Grid Type - [POST /update/PGTT](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/post-update-pgtt.md): Updates the Live Price Grid Type. ## Download a Live Price Grid Excel File - [GET /pricegridmanager.fetchxls/{id1}/{id2}/{id3}/{id4}/{id5}/{id6}/{id7}/{id8}/{id9}/{id10}/{id11}/{id12}/{id13}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/live-price-grids/get-pricegridmanager.fetchxls.md): Downloads the specified Price Grid in the XLSX format.